+++
title="🪕 Edinburgh Chinese Community Orchestra"
date=2022-12-01
+++

While completing my bachelor degree in Scotland, I was part of Edinburgh Chinese Community Orchestra. We have been showing up to a lot of different events, e.g 2022 Edinburgh Festical Carnival, 2022 Perthshire Mela, 2022 Mid-autumn Festival.
<br><br>
( Will be adding some pics/videos later on :) )